# Generated from hoe-yard-0.1.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name hoe-yard

Name: rubygem-%{gem_name}
Version: 0.1.3
Release: 1%{?dist}
Summary: A Hoe plugin for generating YARD documentation
License: MIT
URL: http://github.com/postmodern/hoe-yard/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(hoe) >= 3.16
# BuildRequires: rubygem(hoe) < 4
BuildArch: noarch

%description
A Hoe plugin for generating YARD documentation.
Using the Hoe YARD plugin, projects can begin generating YARD documentation
instantly. Additionally, any resulting RubyGems will be properly configured
to automatically generate YARD documentation upon installation.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/Manifest.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/History.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.3-1
- Initial package
